package sun.net.www.protocol.http.ntlm;

import java.net.URL;

public abstract class NTLMAuthenticationCallback
{
    private static volatile NTLMAuthenticationCallback callback;
    
    public NTLMAuthenticationCallback() {
    }
    
    public static void setNTLMAuthenticationCallback(NTLMAuthenticationCallback callback) {
        NTLMAuthenticationCallback.callback = callback;
    }
    
    public static NTLMAuthenticationCallback getNTLMAuthenticationCallback() {
        return NTLMAuthenticationCallback.callback;
    }
    
    public abstract boolean isTrustedSite(URL p0);
}
